%global debug_package %{nil}

%define version 2.6.5
%define minor_version 2.6

Name:           ruby
Version:        %{version}
Release:        1%{?dist}
License:        Ruby License/GPL - see COPYING
URL:            http://www.ruby-lang.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        https://cache.ruby-lang.org/pub/ruby/%{minor_version}/ruby-%{version}.tar.gz
Summary:        An interpreter of object-oriented scripting language

BuildRequires: gcc automake bison zlib-devel libyaml-devel openssl-devel gdbm-devel readline-devel ncurses-devel libffi-devel
Requires: glibc zlib libyaml openssl gdbm readline ncurses libffi

Provides: ruby(abi) = %{minor_version}
Provides: ruby-irb
Provides: ruby-rdoc
Provides: ruby-libs
Provides: ruby-devel
Provides: rubygems

Obsoletes: ruby < %{version}
Obsoletes: ruby-devel < %{version}
Obsoletes: ruby-libs < %{version}
Obsoletes: rubygems < %{version}
Obsoletes: rubygem-bigdecimal
Obsoletes: rubygem-did_you_mean
Obsoletes: rubygem-io-console
Obsoletes: rubygem-irb
Obsoletes: rubygem-json
Obsoletes: rubygem-openssl
Obsoletes: rubygem-psych
Obsoletes: rubygem-rdoc

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

%prep
%setup -n ruby-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing"

%configure \
  --enable-shared \
  --disable-rpath \
  --without-X11 \
  --includedir=%{_includedir}/ruby \
  --libdir=%{_libdir}

make %{?_smp_mflags}

%install
# installing binaries ...
make install DESTDIR=$RPM_BUILD_ROOT

#we don't want to keep the src directory
rm -rf $RPM_BUILD_ROOT/usr/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_includedir}/*
%{_datadir}/*
%{_libdir}/*

%changelog
* Tue Mar 31 2020 Satoe Imaishi <simaishi@redhat.com> - 2.6.5
- Initial build
